Subject: rehearsal
From: "Mike" <[email-masked]>
To: "Amanda Whitehead" <[email-masked]>
Date: Mon, 2 Oct 2006 09:35:22 -0400

Hi Amanda,
I am sorry that I did not email you back about sneaking in a practice.  I have been sick since Thursday.  I meant to email you Friday but I just was so "out of it" I forgot.  I was still kind of getting over things Sunday so I didn't make it to any of the services.  Anyway, I needed to confirm time for the rehearsal tonight.  I was thinking it was at 7:00 pm.  I wrote the dates just not the times (I'm a rocket scientist).  Let me know the details.
Thanks,
Michael Bishop
Phone 321-4568
Cell #  775-4916
[email-masked]